if Network:is_client() then
	return
end

Hooks:PostHook(PlayerStandard, '_upd_attention', 'STM#27305_PlayerStandard__upd_attention',
function()
	STM.jumping.host = 'undef'
end)

Hooks:PostHook(PlayerStandard, '_update_network_jump', 'STM#27305_PlayerStandard__update_network_jump',
function(self)
	if managers.groupai:state():whisper_mode() and STM._settings.crouch_jump_realism then
		if STM.jumping.host ~= self._is_jumping then
			local preset_stand = {
				"pl_mask_on_friend_combatant_whisper_mode",
				"pl_mask_on_friend_non_combatant_whisper_mode",
				"pl_mask_on_foe_combatant_whisper_mode_stand",
				"pl_mask_on_foe_non_combatant_whisper_mode_stand"}
			local preset_crouch = {
				"pl_mask_on_friend_combatant_whisper_mode",
				"pl_mask_on_friend_non_combatant_whisper_mode",
				"pl_mask_on_foe_combatant_whisper_mode_crouch",
				"pl_mask_on_foe_non_combatant_whisper_mode_crouch"}
			if self._is_jumping then
				self._ext_movement:set_attention_settings(preset_stand)
			else
				if self._state_data.ducking then
					self._ext_movement:set_attention_settings(preset_crouch)
				else
					self._ext_movement:set_attention_settings(preset_stand)
				end
			end
			STM.jumping.host = self._is_jumping
		end 
	end
end)